Developer
    Gift Card/ Brand Voucher API
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • Get Category
      GET
    • Brand Lists
      GET
    • Buy Giftcard Voucher
      POST

      Buy Giftcard Voucher

      POST
      https://api.wepego.com/giftcard/payment
      PARAMDefaultMandatory (M) , Optional (O)
      codebrands code from brand ListsM
      agent_idUnique Random ID 5-28 Digit from PartnerM
      receiver_nameReceiver Full NameM
      receiver_emailReceiver Email IDM
      receiver_mobileReceiver Mobile NumberM
      amountGift/Voucher Buy AmountM
      gift_messageGift Wish MessageO

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200
      application/json
      Bodyapplication/json

      🟠400
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.wepego.com/giftcard/payment' \
      --header 'Token: ZKEYza2COHK0QVkcVkwUb6WeIgWiS' \
      --header 'checkSum: 739f448d1cc4f5bbbd048e68ba2b8885b0f8414ed4090ad967df7d15d7cdbbae' \
      --header 'Content-Type: application/json' \
      --data-raw '{
        "code": "AMAZFR",
        "agent_id": "ZLP000KLO0000PPLO008",
        "amount": 10,
        "receiver_name":"mohan ram",
        "receiver_email":"zuelgiftcard@gmail.com",
        "receiver_mobile":"6109090921",
        "gift_message":"Happy birthday gift"
      
      }'
      Response Response Example
      200 - success
      {
          "status": "success",
          "current_time": "15,Dec,2024 02:04:20 AM",
          "amount": 10,
          "msg": "Gift Card Purchased",
          "utr": "6014869061460655",
          "tlid": "ZGF1734208460356IBVLMYs",
          "biller": "Amazon Fresh",
          "callback_status": "SUCCESS",
          "timestamp": "2024-12-15 02:04:20am",
          "result": 0,
          "agent_id": "ZLP000KLO0000PPLO008",
          "voucher": {
              "card": "6014869061460655",
              "exp": "2025-12-14T18:30:00+00:00",
              "pin": "FVY9XZKD5FHXC"
          }
      }
      Modified at 2026-08-29 13:16:25
      Previous
      Brand Lists
      Built with